Identifier (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class Identifier

    java.lang.Object
      edu.harvard.hul.ois.jhove.Identifier

    public class Identifier

extends java.lang.Object

This class encapsulates information about an identifier for a specification document.

Constructor Summary
`Identifier(java.lang.String value, IdentifierType type)` Create an Identifier.
`Identifier(java.lang.String value, IdentifierType type, java.lang.String note)` Create an Identifier.

Method Summary
`java.lang.String` | `getNote()` Return the note, which will be null if none was specified.
`IdentifierType` | `getType()` Return the identifier type.
`java.lang.String` | `getValue()` Return the displayable string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Identifier

    public Identifier(java.lang.String value,
                      IdentifierType type)

  Create an Identifier.

  Parameters:
    `value` - The text displayed for this Identifier.
    `type` - The type of identification.

### Identifier

    public Identifier(java.lang.String value,
                      IdentifierType type,
                      java.lang.String note)

  Create an Identifier.

  Parameters:
    `value` - The text displayed for this Identifier.
    `type` - The type of identification.
    `note` - A note giving supplementary information.

Method Detail

### getType

    public IdentifierType getType()

  Return the identifier type.

### getValue

    public java.lang.String getValue()

  Return the displayable string.

### getNote

    public java.lang.String getNote()

  Return the note, which will be null if none was specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD